---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libap01t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x24D0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52C30, symBinAddr: 0x8330, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54B70, symBinAddr: 0xA270, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54F60, symBinAddr: 0xA660, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55F00, symBinAddr: 0xB600, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55F10, symBinAddr: 0xB610, symSize: 0x0 }
  - { offsetInCU: 0xBCB, offset: 0xBCB, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x52760, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0xBD6, offset: 0xBD6, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x52764, symBinAddr: 0x80A4, symSize: 0x0 }
  - { offsetInCU: 0xBE1, offset: 0xBE1, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x52768, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0xC26, offset: 0xC26, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x528C0, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0xC9F, offset: 0xC9F, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52978, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0xCBD, offset: 0xCBD, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5297C, symBinAddr: 0x816C, symSize: 0x0 }
  - { offsetInCU: 0xCD6, offset: 0xCD6, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x52980, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0xCEF, offset: 0xCEF, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x52984, symBinAddr: 0x8174, symSize: 0x0 }
  - { offsetInCU: 0xD08, offset: 0xD08, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x52988, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x92F2, offset: 0x92F2, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x52990, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x937B, offset: 0x937B, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x529A0, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x9394, offset: 0x9394, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x529A8, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x93AD, offset: 0x93AD, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x529B0, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x93C6, offset: 0x93C6, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x529B8, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x93DF, offset: 0x93DF, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x529C0, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x93F9, offset: 0x93F9, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x529C8, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x94DF, offset: 0x94DF, size: 0x8, addend: 0x0, symName: __ZL8obj_free, symObjAddr: 0x52A0C, symBinAddr: 0x81CC, symSize: 0x0 }
  - { offsetInCU: 0x94F8, offset: 0x94F8, size: 0x8, addend: 0x0, symName: __ZL9obj_count, symObjAddr: 0x52A10, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x9516, offset: 0x9516, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x52A18, symBinAddr: 0x81D8, symSize: 0x0 }
  - { offsetInCU: 0x952F, offset: 0x952F, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x52A20, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0x9548, offset: 0x9548, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x52A30, symBinAddr: 0x81F0, symSize: 0x0 }
  - { offsetInCU: 0x9561, offset: 0x9561, size: 0x8, addend: 0x0, symName: __ZL9user_data, symObjAddr: 0x52B9C, symBinAddr: 0x832C, symSize: 0x0 }
  - { offsetInCU: 0x95B3, offset: 0x95B3, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1020, symSize: 0x80 }
  - { offsetInCU: 0x9648, offset: 0x9648, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xF70, symSize: 0xB0 }
  - { offsetInCU: 0x96A3, offset: 0x96A3, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xE70, symSize: 0x100 }
  - { offsetInCU: 0x9936, offset: 0x9936, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x10A0, symSize: 0xC0 }
  - { offsetInCU: 0x9988, offset: 0x9988, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1160, symSize: 0x220 }
  - { offsetInCU: 0x9B6D, offset: 0x9B6D, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1380, symSize: 0xA0 }
  - { offsetInCU: 0x9C20, offset: 0x9C20, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1420, symSize: 0x110 }
  - { offsetInCU: 0x9D16, offset: 0x9D16, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1530, symSize: 0x150 }
  - { offsetInCU: 0x9E73, offset: 0x9E73, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1680, symSize: 0x30 }
  - { offsetInCU: 0x9F54, offset: 0x9F54, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x16B0, symSize: 0x150 }
  - { offsetInCU: 0xA14C, offset: 0xA14C, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1800, symSize: 0x160 }
  - { offsetInCU: 0xA2C7, offset: 0xA2C7, size: 0x8, addend: 0x0, symName: __Z20nsk_jni_lverify_voidP7JNIEnv_PKciS2_z, symObjAddr: 0x1F70, symBinAddr: 0x1960, symSize: 0x150 }
  - { offsetInCU: 0xA54A, offset: 0xA54A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1AB0, symSize: 0x4A0 }
  - { offsetInCU: 0xA7BD, offset: 0xA7BD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1F50, symSize: 0x1B0 }
  - { offsetInCU: 0xA9D8, offset: 0xA9D8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2100, symSize: 0xA0 }
  - { offsetInCU: 0xAAA7, offset: 0xAAA7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x21A0, symSize: 0x20 }
  - { offsetInCU: 0xAADE, offset: 0xAADE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x21C0, symSize: 0x20 }
  - { offsetInCU: 0xAB15, offset: 0xAB15, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x21E0, symSize: 0x20 }
  - { offsetInCU: 0xAC84, offset: 0xAC84, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2200, symSize: 0x1A0 }
  - { offsetInCU: 0xAFA0, offset: 0xAFA0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x23A0, symSize: 0x130 }
  - { offsetInCU: 0xB150, offset: 0xB150, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2740, symSize: 0x1B0 }
  - { offsetInCU: 0xB43F, offset: 0xB43F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x28F0, symSize: 0x80 }
  - { offsetInCU: 0xB508, offset: 0xB508, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2970, symSize: 0x6A0 }
  - { offsetInCU: 0xC09D, offset: 0xC09D, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA340, symBinAddr: 0x41D0, symSize: 0xB0 }
  - { offsetInCU: 0xC114, offset: 0xC114, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3010, symSize: 0x70 }
  - { offsetInCU: 0xC214, offset: 0xC214, size: 0x8, addend: 0x0, symName: _nsk_jvmti_classBySignature, symObjAddr: 0x4560, symBinAddr: 0x3080, symSize: 0x390 }
  - { offsetInCU: 0xC683, offset: 0xC683, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3410, symSize: 0xA0 }
  - { offsetInCU: 0xC7AE, offset: 0xC7AE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x34B0, symSize: 0x40 }
  - { offsetInCU: 0xC8A4, offset: 0xC8A4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x34F0, symSize: 0x2B0 }
  - { offsetInCU: 0xCC4A, offset: 0xCC4A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x37A0, symSize: 0xC0 }
  - { offsetInCU: 0xCD90, offset: 0xCD90, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3860, symSize: 0x10 }
  - { offsetInCU: 0xCE52, offset: 0xCE52, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3870, symSize: 0x220 }
  - { offsetInCU: 0xD14F, offset: 0xD14F, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3A90, symSize: 0x10 }
  - { offsetInCU: 0xD1AC, offset: 0xD1AC, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3AA0, symSize: 0x480 }
  - { offsetInCU: 0xD6E5, offset: 0xD6E5, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA090, symBinAddr: 0x3F20, symSize: 0x10 }
  - { offsetInCU: 0xD742, offset: 0xD742, size: 0x8, addend: 0x0, symName: _ObjectFree, symObjAddr: 0xA0A0, symBinAddr: 0x3F30, symSize: 0x30 }
  - { offsetInCU: 0xD78D, offset: 0xD78D, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0xA0D0, symBinAddr: 0x3F60, symSize: 0x70 }
  - { offsetInCU: 0xD7E6, offset: 0xD7E6, size: 0x8, addend: 0x0, symName: _heapObjectCallback, symObjAddr: 0xA140, symBinAddr: 0x3FD0, symSize: 0x20 }
  - { offsetInCU: 0xD82E, offset: 0xD82E, size: 0x8, addend: 0x0, symName: _stackReferenceCallback, symObjAddr: 0xA160, symBinAddr: 0x3FF0, symSize: 0x30 }
  - { offsetInCU: 0xD8AF, offset: 0xD8AF, size: 0x8, addend: 0x0, symName: _heapRootCallback, symObjAddr: 0xA190, symBinAddr: 0x4020, symSize: 0x30 }
  - { offsetInCU: 0xD904, offset: 0xD904, size: 0x8, addend: 0x0, symName: _objectReferenceCallback, symObjAddr: 0xA1C0, symBinAddr: 0x4050, symSize: 0x30 }
  - { offsetInCU: 0xD96F, offset: 0xD96F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP01_ap01t001_newObject, symObjAddr: 0xA1F0, symBinAddr: 0x4080, symSize: 0x150 }
  - { offsetInCU: 0xDAF7, offset: 0xDAF7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP01_ap01t001_allocObject, symObjAddr: 0xA3F0, symBinAddr: 0x4280, symSize: 0x1D0 }
  - { offsetInCU: 0xDCFB, offset: 0xDCFB, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_24CallNonvirtualVoidMethodEP8_jobjectP7_jclassP10_jmethodIDz, symObjAddr: 0xA5C0, symBinAddr: 0x4450, symSize: 0xA0 }
  - { offsetInCU: 0xDD72, offset: 0xDD72, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP01_ap01t001_flushObjectFreeEvents, symObjAddr: 0xA660, symBinAddr: 0x44F0, symSize: 0x90 }
  - { offsetInCU: 0xDF1C, offset: 0xDF1C, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA6F0, symBinAddr: 0x4580, symSize: 0x580 }
  - { offsetInCU: 0xE552, offset: 0xE552, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAC70, symBinAddr: 0x4B00, symSize: 0x36A }
...
